View Issue Details

IDProjectCategoryView StatusLast Update
0004335CentOS-5kernelpublic2011-05-18 21:47
Reportertoracat 
PrioritylowSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.5 
Target VersionFixed in Version5.6 
Summary0004335: sound and system problems in CentOS 5.5 with Nvidia controllers
DescriptionA patch introduced in kernel -194 contains a bug that causes problems with the system having Nvidia controllers. Problem is not limited to the sound but the bug likely triggers system sluggishness and lockups.

A workaround is to have this line in /etc/modprobe.conf:

options snd-hda-intel index=0 enable_msi=0

(Disabling MSI is the key)
Additional InformationUpstream bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=586532

Code fix: http://git.alsa-project.org/?p=alsa-kernel.git;a=commitdiff;h=80c43ed724797627d8f86855248c497a6161a214
TagsNo tags attached.

Activities

toracat

toracat

2010-05-23 15:13

manager   ~0011329

Last edited: 2010-05-24 11:41

CentOS patch for kernel 2.6.18-194.3.1 will be:

--- a/sound/pci/hda/hda_intel.c 2010-05-10 13:35:22.000000000 -0700
+++ b/sound/pci/hda/hda_intel.c 2010-05-23 05:59:28.000000000 -0700
@@ -2334,6 +2334,13 @@
                       "hda_intel: msi for device %04x:%04x set to %d\n",
                       q->subvendor, q->subdevice, q->value);
                chip->msi = q->value;
+ return;
+ }
+
+ /* NVidia chipsets seem to cause troubles with MSI */
+ if (chip->driver_type == AZX_DRIVER_NVIDIA) {
+ printk(KERN_INFO "hda_intel: Disable MSI for Nvidia chipset\n");
+ chip->msi = 0;
        }
 }

toracat

toracat

2010-05-23 15:15

manager   ~0011330

Last edited: 2010-05-24 11:39

I confirm that the proposed workaround fixes the issue on this hardware:

00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)

toracat

toracat

2010-09-23 18:30

manager   ~0011880

The patch is now in the upstream test kernel (>= 215) at:

http://people.redhat.com/~jwilson/el5/

From changelog for 2.6.18-215.el5:
- [sound] ALSA HDA driver update for RHEL5.6 (Jaroslav Kysela) [592199]
wolfy

wolfy

2010-09-24 09:30

developer   ~0011882

During the last hours I have tested http://people.redhat.com/~jwilson/el5/223.el5/x86_64/kernel-2.6.18-223.el5.x86_64.rpm. Unfortunately although the system is not sluggish as with stock -194 kernels, there is no sound at all.

Hardware under test: ASUS M2NBP-VM CSM ACPI BIOS Revision 1001. Full specs / more testing available on details.
wolfy

wolfy

2010-09-24 09:31

developer   ~0011883

*Available on request
toracat

toracat

2010-10-31 17:05

manager   ~0011989

It was confirmed upstream that the fix would be in RHEL 5.6.
toracat

toracat

2011-05-18 21:47

manager   ~0012760

The said patch is in the CentOS 5.6 kernel.

Issue History

Date Modified Username Field Change
2010-05-23 15:11 toracat New Issue
2010-05-23 15:13 toracat Note Added: 0011329
2010-05-23 15:15 toracat Note Added: 0011330
2010-05-23 15:15 toracat Status new => confirmed
2010-05-24 11:39 toracat Note Edited: 0011330
2010-05-24 11:41 toracat Note Edited: 0011329
2010-09-23 18:30 toracat Note Added: 0011880
2010-09-24 09:30 wolfy Note Added: 0011882
2010-09-24 09:31 wolfy Note Added: 0011883
2010-10-31 17:05 toracat Note Added: 0011989
2011-05-18 21:47 toracat Note Added: 0012760
2011-05-18 21:47 toracat Status confirmed => resolved
2011-05-18 21:47 toracat Resolution open => fixed
2011-05-18 21:47 toracat Fixed in Version => 5.6